apiVersion: apps/v1
kind: Deployment
metadata:
  name: mongo-express-app
spec:
  selector:
    matchLabels:
      app: mongo-express-app
  replicas: 1
  template:
    metadata:
      labels:
        app: mongo-express-app
    spec:
      containers:
      - name: mongo-express-app
        image: mongo-express
        restart: always
        ports:
        - containerPort: 8081
        env:
        - name: ME_CONFIG_MONGODB_ADMINUSERNAME
          value: "admin"
        - name: ME_CONFIG_MONGODB_ADMINPASSWORD
          value: "password"
        - name: ME_CONFIG_MONGODB_SERVER
          value: "mongodb"

      
